Upstream information

CVE-2017-12852 at MITRE

Description

The numpy.pad function in Numpy 1.13.1 and older versions is missing input validation. An empty list or ndarray will stick into an infinite loop, which can allow attackers to cause a DoS attack.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 4.9
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P AV:L/AC:L/Au:N/C:N/I:N/A:C
Access Vector Network Local
Access Complexity Low Low
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 6.2
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1053963 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • python3-numpy >= 1.14.0-4.5.1
  • python3-numpy-devel >= 1.14.0-4.5.1
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • python3-numpy >= 1.17.3-4.11.1
  • python3-numpy-devel >= 1.17.3-4.11.1
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • python3-numpy >= 1.17.3-7.1
  • python3-numpy-devel >= 1.17.3-7.1
SUSE Linux Enterprise Module for Basesystem 15
  • python2-numpy >= 1.14.0-2.25
  • python2-numpy-devel >= 1.14.0-2.25
  • python3-numpy >= 1.14.0-2.25
  • python3-numpy-devel >= 1.14.0-2.25
SUSE Linux Enterprise Module for High Performance Computing 12
  • python-numpy_1_13_3-gnu-hpc >= 1.13.3-4.6.1
  • python-numpy_1_13_3-gnu-hpc-devel >= 1.13.3-4.6.1
  • python2-numpy-gnu-hpc >= 1.13.3-4.6.1
  • python2-numpy-gnu-hpc-devel >= 1.13.3-4.6.1
  • python3-numpy-gnu-hpc >= 1.13.3-4.6.1
  • python3-numpy-gnu-hpc-devel >= 1.13.3-4.6.1
  • python3-numpy_1_13_3-gnu-hpc >= 1.13.3-4.6.1
  • python3-numpy_1_13_3-gnu-hpc-devel >= 1.13.3-4.6.1
Patchnames:
SUSE-SLE-Module-HPC-12-2017-1865
SUSE Linux Enterprise Module for High Performance Computing 15 SP1
  • python2-numpy-gnu-hpc >= 1.14.0-4.5.1
  • python2-numpy-gnu-hpc-devel >= 1.14.0-4.5.1
  • python2-numpy_1_14_0-gnu-hpc >= 1.14.0-4.5.1
  • python2-numpy_1_14_0-gnu-hpc-devel >= 1.14.0-4.5.1
  • python3-numpy-gnu-hpc >= 1.14.0-4.5.1
  • python3-numpy-gnu-hpc-devel >= 1.14.0-4.5.1
  • python3-numpy_1_14_0-gnu-hpc >= 1.14.0-4.5.1
  • python3-numpy_1_14_0-gnu-hpc-devel >= 1.14.0-4.5.1
SUSE Linux Enterprise Module for High Performance Computing 15 SP2
  • python2-numpy-gnu-hpc >= 1.16.5-1.164
  • python2-numpy-gnu-hpc-devel >= 1.16.5-1.164
  • python2-numpy_1_16_5-gnu-hpc >= 1.16.5-1.164
  • python2-numpy_1_16_5-gnu-hpc-devel >= 1.16.5-1.164
  • python3-numpy-gnu-hpc >= 1.17.3-4.11.1
  • python3-numpy-gnu-hpc-devel >= 1.17.3-4.11.1
  • python3-numpy_1_17_3-gnu-hpc >= 1.17.3-4.11.1
  • python3-numpy_1_17_3-gnu-hpc-devel >= 1.17.3-4.11.1
SUSE Linux Enterprise Module for High Performance Computing 15 SP3
  • python2-numpy-gnu-hpc >= 1.16.5-1.164
  • python2-numpy-gnu-hpc-devel >= 1.16.5-1.164
  • python2-numpy_1_16_5-gnu-hpc >= 1.16.5-1.164
  • python2-numpy_1_16_5-gnu-hpc-devel >= 1.16.5-1.164
  • python3-numpy-gnu-hpc >= 1.17.3-7.1
  • python3-numpy-gnu-hpc-devel >= 1.17.3-7.1
  • python3-numpy_1_17_3-gnu-hpc >= 1.17.3-7.1
  • python3-numpy_1_17_3-gnu-hpc-devel >= 1.17.3-7.1
SUSE Linux Enterprise Module for High Performance Computing 15
  • python2-numpy-gnu-hpc >= 1.14.0-2.105
  • python2-numpy-gnu-hpc-devel >= 1.14.0-2.105
  • python2-numpy_1_14_0-gnu-hpc >= 1.14.0-2.105
  • python2-numpy_1_14_0-gnu-hpc-devel >= 1.14.0-2.105
  • python3-numpy-gnu-hpc >= 1.14.0-2.105
  • python3-numpy-gnu-hpc-devel >= 1.14.0-2.105
  • python3-numpy_1_14_0-gnu-hpc >= 1.14.0-2.105
  • python3-numpy_1_14_0-gnu-hpc-devel >= 1.14.0-2.105
openSUSE Leap 15.0
  • python2-numpy >= 1.14.0-lp150.2.15
Patchnames:
openSUSE Leap 15.0 GA python2-numpy-1.14.0-lp150.2.15
openSUSE Tumbleweed
  • python38-numpy >= 1.21.2-1.1
  • python38-numpy-devel >= 1.21.2-1.1
  • python39-numpy >= 1.21.2-1.1
  • python39-numpy-devel >= 1.21.2-1.1
Patchnames:
openSUSE Tumbleweed GA python38-numpy-1.21.2-1.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 python-numpy Already fixed
SUSE CaaS Platform 4.0 python2-numpy In progress
SUSE Enterprise Storage 6 python-numpy Already fixed
SUSE Enterprise Storage 6 python2-numpy In progress
SUSE Linux Enterprise Desktop 12 SP2 python-numpy In progress
SUSE Linux Enterprise Desktop 12 SP3 python-numpy In progress
SUSE Linux Enterprise High Performance Computing 15 LTSS python-numpy Already fixed
SUSE Linux Enterprise High Performance Computing 15 LTSS python2-numpy In progress
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS python-numpy Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS python2-numpy In progress
SUSE Linux Enterprise Module for Basesystem 15 SP2 python-numpy Already fixed
SUSE Linux Enterprise Module for HPC 12 python-numpy Released
SUSE Linux Enterprise Module for HPC 12 SP2 python-numpy Released
SUSE Linux Enterprise Module for HPC 15 SP2 python-numpy Already fixed
SUSE Linux Enterprise Module for HPC 15 SP2 python2-numpy Already fixed
SUSE Linux Enterprise Module for Python 2 15 SP2 python2-numpy Already fixed
SUSE Linux Enterprise Server 11 SP3 LTSS python-numpy Not affected
SUSE Linux Enterprise Server 11 SP4 python-numpy Not affected
SUSE Linux Enterprise Server 12 LTSS python-numpy Affected
SUSE Linux Enterprise Server 12 SP1 LTSS python-numpy Affected
SUSE Linux Enterprise Server 12 SP2 python-numpy In progress
SUSE Linux Enterprise Server 12 SP3 python-numpy In progress
SUSE Linux Enterprise Server 15 LTSS python-numpy Already fixed
SUSE Linux Enterprise Server 15 LTSS python2-numpy In progress
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux python-numpy Already fixed
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux python2-numpy In progress
SUSE Linux Enterprise Server 15 SP1 LTSS python-numpy Already fixed
SUSE Linux Enterprise Server 15 SP1 LTSS python2-numpy In progress
SUSE Linux Enterprise Server ESPOS 15 python-numpy Already fixed
SUSE Linux Enterprise Server ESPOS 15 python2-numpy In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP3 python-numpy In progress
SUSE Linux Enterprise Server for SAP Applications 15 python-numpy Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 python2-numpy In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP1 python-numpy Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 python2-numpy In progress
SUSE Linux Enterprise Server for the Raspberry Pi python-numpy In progress
SUSE Linux Enterprise Software Development Kit 11 SP4 python-numpy Not affected
SUSE Linux Enterprise Software Development Kit 12 python-numpy In progress
SUSE Linux Enterprise Software Development Kit 12 SP3 python-numpy In progress
SUSE Manager Proxy 4.0 python-numpy Already fixed
SUSE Manager Proxy 4.0 python2-numpy In progress
SUSE Manager Retail Branch Server 4.0 python-numpy Already fixed
SUSE Manager Retail Branch Server 4.0 python2-numpy In progress
SUSE Manager Server 4.0 python-numpy Already fixed
SUSE Manager Server 4.0 python2-numpy In progress